:root {
    --tan: #d7c49e;
    --pink: #c87878;
    --greyish-red: #653436;
    --red: #741d14;
    --bright-red: #b8483d;
    --yellow: #eca848
}

/* LAYOUT */
body {
    background-image: url(media/gabor-barbely-zc7qbg1XEXY-unsplash.jpg);
    background-repeat: tile; 
    background-attachment: fixed;
    background-size: cover;
    color: var(--greyish-red);
    
    /* custom cursor */
    cursor: url(media/balloondogcursor.gif), auto;
}
a:hover {
    cursor: url(media/balloondoghover.gif), auto;
}

#container {
    font-family: "Sour Gummy", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:
    "wdth" 100;
}

#main {
    background-color: var(--tan);
    background-clip: border-box;
    top: 0;
    min-height: 100%;
    height: auto;
    width: 600px;
    margin: 0 20px 0 40px;
    border-left: 40px solid transparent;
    border-right: 40px solid transparent;
    border-image: url(media/vrtualseraph-82px.png) 82 round;
    box-shadow: black 0 0 10px 1px, inset 0 0 10px black;
}

#main-inner {
    padding: 10px 30px 60px 30px;
    background-image: url(media/pixopix-awning-3.png);
    background-repeat: no-repeat;
    background-size: 100%;
}


.emphasis-box {
    display: block;
    background: url(media/swirly2.gif);
    background-size: 70px;
    background-attachment: fixed;
    background-clip: padding-box;
    border-radius: 20px;
    width: 80%;
    margin: 0 auto;
    padding: 10px;
    border: dotted 4px var(--red);
    transform: rotate(-2deg);
}
.emphasis-box::before {
    position:absolute;
    left: -20px;
    top: -20px;
    transform: rotate(-10deg);
    display:inline-block;
    margin-right:10px;
    content: url(media/bear-sticker.png);
    width:33px;
    vertical-align:middle;
}
.emphasis-box::after {
    position:absolute;
    right: 0;
    bottom: -20px;
    transform: rotate(30deg);
    display:inline-block;
    margin-right:10px;
    content: url(media/clown-sticker.png);
    width:33px;
    vertical-align:middle;
}

#navi ul {
    padding: 0
}
#navi li {
    display: block;
}

#navi a {
    transition: 0.5s;
    text-decoration: none;
    font-family: "Cherry Bomb One", system-ui;
    font-weight: 400;
    font-style: normal;
    font-size: 2em;
    color: var(--yellow);
    text-shadow: black 2px 2px 2px;
    -webkit-text-stroke: 1px var(--red)
}
   
#navi a:hover{
    letter-spacing: 7px;
    color: var(--bright-red)
}

#right {
    position: fixed;
    bottom: 30px;
    width: 300px;
    left: 800px;
}

#box {
    background-color: var(--tan);
    border-radius: 20px;
    padding: 20px;
    box-shadow: black 2px 2px 10px 1px;
}

#box h3 {
    padding: 0;
    margin: 0
}

#box-decor {
    position: fixed;
    left: 1000px;
    bottom: 150px;
    width: 130px;
    rotate: 20deg;
    filter: drop-shadow(2px 2px 2px black);
}

#credits {
    text-align: center;
    padding: 5px;
    font-size: smaller;
    color: lightgray;
    text-shadow: 0 0 2px black
}
#credits a {
    color: lightgray
}

/* TEXT STYLING */
h1, h2, h3, h4 {
    font-family: "Cherry Bomb One", system-ui;
    font-weight: 400;
    font-style: normal;
}

h1 {
    font-size: 2.5em;
    text-align: center;
    margin: 35px 0 10px 0;
    -webkit-text-stroke: 1px var(--yellow);
    /* stripe animation */
    background: repeating-linear-gradient(
        45deg,
        var(--red),
        var(--red) 30px,
        var(--bright-red) 30px,
        var(--bright-red) 60px
    );
    background-clip: text;
    color: transparent;
    -webkit-background-clip: text;
    animation: 40s linear 0s infinite move;
}
@keyframes move {
from {
background-position: 0;
}
to {
background-position: 1000px;
}
}

h2, h3, h4 {
    color: var(--red);
    -webkit-text-stroke: thin var(--yellow)
}

#main a, #box a {
    text-decoration-line: underline;
    text-decoration-style: wavy;
    text-decoration-color: var(--pink);
    color: var(--red)
}

#main a:hover, box a:hover {
    color: var(--red);
    text-decoration-color: var(--bright-red);
    font-style: italic;
    text-shadow: 0 0 2px var(--pink);
}

strong {
    color: var(--red);
}
em {
    color: var(--red);
    background-color: rgba(200, 120, 120, 0.3);
}

/* MEDIA STYLING */
.float-right {
    float: right;
    margin: 10px;
}
.float-left {
    float: left;
    margin: 10px;
}












